Get an email of a user
curl --request GET \
--url https://{tenant_id}.hanko.io/admin/users/{id}/emails/{email_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_id}.hanko.io/admin/users/{id}/emails/{email_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_id}.hanko.io/admin/users/{id}/emails/{email_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "802df042-1ac2-496d-af81-6ace729ed055",
"address": "jsmith@example.com",
"is_verified": true,
"is_primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": 400,
"message": "Bad Request"
}{
"code": 404,
"message": "Not found"
}{
"code": 500,
"message": "Internal Server Error"
}Email Management
Get an email of a user
GET
/
users
/
{id}
/
emails
/
{email_id}
Get an email of a user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your API key. Must only be used when using Hanko Cloud.
Path Parameters
UUID of the requested object
UUID of the requested email
Response
OK
The ID of the email
Example:
"802df042-1ac2-496d-af81-6ace729ed055"
The email address
Indicated the email has been verified.
Indicates it's the primary email address.
Time of creation of the email
Time of last update of the email
Was this page helpful?
⌘I